Bug 209215 - Review Request: libpreludedb - Provides an abstraction layer for the libprelude
Review Request: libpreludedb - Provides an abstraction layer for the libprelude
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
: 209217 209219 209220 (view as bug list)
Depends On: 209214
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-03 17:31 EDT by Thorsten Scherf
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-01 08:00:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Scherf 2006-10-03 17:31:35 EDT
Spec URL: http://people.redhat.com/tscherf/fedora-extra/
SRPM URL: http://people.redhat.com/tscherf/fedora-extra/
Description: 
The PreludeDB Library provides an abstraction layer upon the type and the format
of the database used to store IDMEF alerts.
It allows developers to use the Prelude IDMEF database easily and efficiently wi
thout worrying about SQL,
and to access the database independently of the type/format of the database.

This is my first package and I need a sponsor.
Comment 3 Thorsten Scherf 2006-12-29 11:09:35 EST
new package is available here:
http://people.redhat.com/tscherf/fedora-extra/libpreludedb-0.9.11-1.src.rpm
http://people.redhat.com/tscherf/fedora-extra/libpreludedb.spec

the only rpmlint complain is on the devel-package which is not completely clear
to me:
[tscherf@tiffy SPECS]$ rpmlint
/home/tscherf/redhat/RPMS/i386/libpreludedb-devel-0.9.11-1.i386.rpm
W: libpreludedb-devel no-documentation
E: libpreludedb-devel library-without-ldconfig-postin /usr/lib/libpreludedb.so.0.4.2
E: libpreludedb-devel library-without-ldconfig-postun /usr/lib/libpreludedb.so.0.4.2

in the spec I have this:
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

what is rpmlint complaining about?

don't think there are other issues available.



Comment 4 Mamoru TASAKA 2006-12-29 11:36:21 EST
Umm??

Why is /usr/lib/libpreludedb.so.0.4.2 in -devel package?
-devel package does not call ldconfig, so rpmlint complaint
is reasonable (I just glanced at your spec file)
Comment 5 Mamoru TASAKA 2006-12-29 11:50:52 EST
Well, would you submit a new spec/srpm? If they are good
to some content, I will sponsor you.
Comment 6 Thorsten Scherf 2006-12-29 13:10:45 EST
ok, fixed the problem with /usr/lib/libpreludedb.so.0.4.2 and ldconfig. rpmlint
isn't complaining anymore.

find the new packages here:
http://people.redhat.com/tscherf/fedora-extra/libpreludedb-0.9.11-1.src.rpm
http://people.redhat.com/tscherf/fedora-extra/libpreludedb.spec



Comment 7 Mamoru TASAKA 2006-12-29 23:55:50 EST
Well,

* For ownership issue:
  - Please check if directories/files are owned correctly.
----------------------------------------------------------
[tasaka1@localhost mock]$ rpm -qlp libpreludedb-*i386*rpm | grep -v debug | sort
----------------------------------------------------------
    says:
----------------------------------------------------------
/usr/lib/libpreludedb/plugins/sql/mysql.so
/usr/lib/libpreludedb/plugins/sql/mysql.so
/usr/lib/libpreludedb/plugins/sql/pgsql.so
/usr/lib/libpreludedb/plugins/sql/pgsql.so
/usr/lib/libpreludedb/plugins/sql/sqlite3.so
/usr/lib/libpreludedb/plugins/sql/sqlite3.so
<snip>
/usr/share/libpreludedb/classic/mysql2sqlite.sh
/usr/share/libpreludedb/classic/pgsql-update-14-1.sql
/usr/share/libpreludedb/classic/pgsql-update-14-1.sql
/usr/share/libpreludedb/classic/pgsql-update-14-2.sql
/usr/share/libpreludedb/classic/pgsql-update-14-2.sql
/usr/share/libpreludedb/classic/pgsql-update-14-3.sql
/usr/share/libpreludedb/classic/pgsql-update-14-3.sql
/usr/share/libpreludedb/classic/pgsql-update-14-4.sql
/usr/share/libpreludedb/classic/pgsql-update-14-4.sql
/usr/share/libpreludedb/classic/pgsql-update-14-5.sql
/usr/share/libpreludedb/classic/pgsql-update-14-5.sql
/usr/share/libpreludedb/classic/pgsql.sql
/usr/share/libpreludedb/classic/pgsql.sql
<snip>
/usr/share/libpreludedb/classic/sqlite.sql
/usr/share/libpreludedb/classic/sqlite.sql
----------------------------------------------------------
    ... There are duplicate entries.
----------------------------------------------------------
/usr/share/doc/libpreludedb-0.9.11/html/libpreludedb/style.css
/usr/share/doc/libpreludedb-0.9.11/html/libpreludedb/up.png
/usr/share/libpreludedb/classic/mysql-update-14-1.sql
/usr/share/libpreludedb/classic/mysql-update-14-2.sql
/usr/share/libpreludedb/classic/mysql-update-14-3.sql
----------------------------------------------------------
    /usr/share/libpreludedb
    /usr/share/libpreludedb/classic
   are not owned by any packages.

* For -devel package:
  - Why is the dependency for main package with >=, not equal?
    (also for other subpackages)
  - And again check the dependency against other package.
-----------------------------------------------------------
[root@localhost mock]# /usr/bin/libpreludedb-config --libs
-L/usr/lib -lpreludedb -L/usr/lib -lprelude -lgnutls -lgcrypt -lgpg-error -lrt -ldl
-----------------------------------------------------------
    This means that this package requires other -devel packages
    (like bug 209214) (libprelude-devel)
    Also
------------------------------------------------------------
/usr/share/aclocal/libpreludedb.m4
------------------------------------------------------------
    requires "Requires: automake".
Comment 8 Thorsten Scherf 2006-12-30 08:14:01 EST
ok, there has been a problem with file globbing, it's fixed now.

new package is here:
http://people.redhat.com/tscherf/fedora-extra/libpreludedb-0.9.11-2.src.rpm
http://people.redhat.com/tscherf/fedora-extra/libpreludedb.spec
Comment 9 Mamoru TASAKA 2006-12-31 07:22:33 EST
For 0.9.11-2:

* Directories/files ownership issue
- Well, this issue becomes rather complicate when one package
  creates several subpackages like this package. You have to
  make it sure that the directories created by the installation
  of your packages are actually owned by some package for
  every situation.

  - For example, now we check /usr/lib/libpreludedb/plugins/sql/.
    This directory is owned by -mysql package, however, this
    is actually wrong.

    When we install main + -sqlite package (with yum), it succeeds
    without -mysql package. The installation of -sqlite creates
    /usr/lib/libpreludedb/plugins/sql/ , however in this situation
    this package is not owned by any package.

    The following can happen:
--------------------------------------------------------------
[tasaka1@localhost ~]$ rpm -qa --qf '%{NAME}\n'  libpreludedb\* | sort
libpreludedb
libpreludedb-devel
libpreludedb-python
libpreludedb-sqlite
[tasaka1@localhost ~]$ LANG=C rpm -qf /usr/lib/libpreludedb/plugins/sql/
file /usr/lib/libpreludedb/plugins/sql is not owned by any package
--------------------------------------------------------------
    To resolve this unwilling ownership issue, you should either
    = make -sqlite package require -mysql package *if this is proper*
      (i.e. it is really true that -sqlite package requires -mysql
       package).
    = or change the owner of the directory from -mysql package to
      main package.

  - Some other directories have this issue. Please check it.

* rpmlint issue
-----------------------------------------------------
W: libpreludedb macro-in-%changelog python_sitearch (for srpm)
-----------------------------------------------------
  Macros are expanded on %changelog. To avoild this, please use:
-----------------------------------------------------
- fixed x86_64 arch build problem with %%python_sitearch
-----------------------------------------------------

* Requirement
  - For devel package
-----------------------------------------------------
Requires: libpreludedb = %{version}-%{release}, gnutls-devel, automake
-----------------------------------------------------
    Well, "gnutls-devel" is insufficient as
    "/usr/bin/libpreludedb-config --libs" require libprelude.so.
    gnutls-devel should be libprelude-devel.
Comment 10 Thorsten Scherf 2006-12-31 08:59:40 EST
* dirowner problem
I changed the owner of some directories to the main package, which seems to be
the smartest solution here.

* escaped the macro in %changelog

* changed the requirements in -devel

find the new packages here:
http://people.redhat.com/tscherf/fedora-extra/libpreludedb-0.9.11-3.src.rpm
http://people.redhat.com/tscherf/fedora-extra/libpreludedb.spec

Thanks.


Comment 11 Mamoru TASAKA 2006-12-31 12:31:22 EST
In Japan (EST+14h) new year started. A Happy new year!

Well, one more issue:
---------------------------------------
%doc %{_defaultdocdir}/%{name}-%{version}/*
---------------------------------------

I watched HTML docs under this directory and it seems
they should be -devel package.

= Now directories ownership issue are correctly fixed.
Comment 12 Thorsten Scherf 2006-12-31 12:45:00 EST
In Germany we still have a couple of hours before the New Year starts, but
nevertheless, wish you a very happy New Year in Japan. :)

You are right with the docs, the html stuff should go into -devel. Done.

Find new packages here:
http://people.redhat.com/tscherf/fedora-extra/libpreludedb-0.9.11-3.src.rpm
http://people.redhat.com/tscherf/fedora-extra/libpreludedb.spec

Comment 13 Mamoru TASAKA 2006-12-31 13:15:32 EST
Okay.

As I get 404 for http://prelude-ids.org/%{name}-%{version}.tar.gz,
Please change to http://prelude-ids.org/download/releases/%{name}-%{version}.tar.gz

Other things are okay.

---------------------------------------------------------------
   This package (libpreludedb) is APPROVED by me.
Comment 14 Thorsten Scherf 2006-12-31 14:54:49 EST
ok, changed url. thanks for the hint.

will upload the package to the buildsystem.
Comment 15 Mamoru TASAKA 2006-12-31 23:13:45 EST
*** Bug 209220 has been marked as a duplicate of this bug. ***
Comment 16 Mamoru TASAKA 2006-12-31 23:14:18 EST
*** Bug 209219 has been marked as a duplicate of this bug. ***
Comment 17 Mamoru TASAKA 2007-01-01 12:00:24 EST
*** Bug 209217 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.